<div>
    <h2>
        <span jhiTranslate="mpmApp.returItem.home.title">Retur Items</span>
        <button class="btn btn-primary float-right jh-create-entity create-retur-item" [routerLink]="['/', { outlets: { popup: ['retur-item-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.returItem.home.createLabel">
            Create new Retur Item
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.returItem.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="returItems">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idreturitem"><span jhiTranslate="mpmApp.returItem.idreturitem">Idreturitem</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idretur"><span jhiTranslate="mpmApp.returItem.idretur">Idretur</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="productcode"><span jhiTranslate="mpmApp.returItem.productcode">Productcode</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="productname"><span jhiTranslate="mpmApp.returItem.productname">Productname</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="uom"><span jhiTranslate="mpmApp.returItem.uom">Uom</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty"><span jhiTranslate="mpmApp.returItem.qty">Qty</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="price"><span jhiTranslate="mpmApp.returItem.price">Price</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="totalprice"><span jhiTranslate="mpmApp.returItem.totalprice">totalprice</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let returItem of returItems ;trackBy: trackId">
                <td><a [routerLink]="['../retur-item', returItem.id ]">{{returItem.id}}</a></td>
                <td>{{returItem.idreturitem}}</td>
                <td>{{returItem.idretur}}</td>
                <td>{{returItem.productcode}}</td>
                <td>{{returItem.productname}}</td>
                <td>{{returItem.uom}}</td>
                <td>{{returItem.qty}}</td>
                <td>{{returItem.price}}</td>
                <td>{{returItem.totalprice}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../retur-item', returItem.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'retur-item/'+ returItem.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'retur-item/'+ returItem.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="returItems && returItems.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
